Networking
Resource management for secure Databricks Workspace deployment, cross-account IAM roles, storage, encryption, networking and private access.
List Ip Access Lists GA
GET
Gets all IP access lists for the specified workspace.
API scopes: networking
Response
- ip_access_listsarray of object
Show child attributesHide child attributes
- list_idstring
Universally unique identifier (UUID) of the IP access list.
- labelstring
Label for the IP access list. This cannot be empty.
- ip_addressesarray of string
- address_countint32
Total number of IP or CIDR values.
- list_typestring
- created_atint64
Creation timestamp in milliseconds.
- created_byint64
User ID of the user who created this list.
- updated_atint64
Update timestamp in milliseconds.
- updated_byint64
User ID of the user who updated this list.
- enabledboolean
Specifies whether this IP access list is enabled.
Replace Ip Access List GA
PUT
Replaces an IP access list, specified by its ID.
A list can include allow lists and block lists. See the top of this file for a description of how the server treats allow lists and block lists at run time. When replacing an IP access list:
- For all allow lists and block lists combined, the API supports a maximum of 1000 IP/CIDR values,
where one CIDR counts as a single value. Attempts to exceed that number return error 400 with
error_codevalueQUOTA_EXCEEDED. - If the resulting list would block the calling user's current IP, error 400 is returned with
error_codevalueINVALID_STATE. It can take a few minutes for the changes to take effect. Note that your resulting IP access list has no effect until you enable the feature. See workspaceconf/setStatus.
API scopes: networking
Parameters
- list_idstringpath
The ID for the corresponding IP access list
Request body
- labelstring
Label for the IP access list. This cannot be empty.
- list_typestring
- ip_addressesarray of string
- enabledboolean
Specifies whether this IP access list is enabled.
Response
- ip_access_listobject
Show child attributesHide child attributes
- list_idstring
Universally unique identifier (UUID) of the IP access list.
- labelstring
Label for the IP access list. This cannot be empty.
- ip_addressesarray of string
- address_countint32
Total number of IP or CIDR values.
- list_typestring
- created_atint64
Creation timestamp in milliseconds.
- created_byint64
User ID of the user who created this list.
- updated_atint64
Update timestamp in milliseconds.
- updated_byint64
User ID of the user who updated this list.
- enabledboolean
Specifies whether this IP access list is enabled.